CREATE TABLE ar_approval_action_history (
    APPROVAL_ACTION_HISTORY_ID    NUMBER(18, 0) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ACTION_NAME                   VARCHAR2(80)      NOT NULL,
    ADJUSTMENT_ID                 NUMBER(18, 0)     NOT NULL,
    ACTION_DATE                   DATE              NOT NULL,
    COMMENTS                      VARCHAR2(4000),
    CONTEXT                       VARCHAR2(600) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE11                   VARCHAR2(600) ,
    ATTRIBUTE12                   VARCHAR2(600) ,
    ATTRIBUTE13                   VARCHAR2(600) ,
    ATTRIBUTE14                   VARCHAR2(600) ,
    ATTRIBUTE15                   VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    APPROVAL_ACTION_HISTORY_ID    NUMBER(18, 0) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ACTION_NAME                   VARCHAR2(80)      NOT NULL,
    ADJUSTMENT_ID                 NUMBER(18, 0)     NOT NULL,
    ACTION_DATE                   DATE              NOT NULL,
    COMMENTS                      VARCHAR2(4000),
    CONTEXT                       VARCHAR2(600) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE11                   VARCHAR2(600) ,
    ATTRIBUTE12                   VARCHAR2(600) ,
    ATTRIBUTE13                   VARCHAR2(600) ,
    ATTRIBUTE14                   VARCHAR2(600) ,
    ATTRIBUTE15                   VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_ar_approval_action_history PRIMARY KEY (APPROVAL_ACTION_HISTORY_ID, APPROVAL_ACTION_HISTORY_ID)
);
